# Digital Gardening

A collective of gardeners publicly tending their digital notes on the interwebs

![An illustration of a plant with an pencil edit icon](https://res.cloudinary.com/dg3gyk0gu/image/upload/c_scale,w_850/v1590401937/maggieappleton.com/notes/garden-history/garden-wide.png)

<br />

## Gardening Tools

#### Building a Public Garden

- [TiddlyWiki](https://tiddlywiki.com/) - A no-code personal wiki system
  - [Stroll](https://giffmex.org/stroll/stroll.html) a notetaking tool built with the TiddlyWiki platform, with bi-directional links and other Roam-like features
  - [TiddlyBlink](https://giffmex.org/gifts/tiddlyblink.html) - TiddlyWiki with bi-directional linking
  - [TiddlyMap](http://tiddlymap.org/) - a mind-map plugin that shows visualizations for TiddlyWiki.
- [Gitbook](https://www.gitbook.com/)
- [React-Notion](https://github.com/splitbee/react-notion/) - allows you to publish a React-based website sources from your Notion notes - "Notion as a CMS"
- [Gatsby Brain Theme](https://github.com/aengusmcmillin/gatsby-theme-brain) - Roam-like bidirectional links in Gatsby.js
- [Gatsby Andy Theme](https://github.com/aravindballa/gatsby-theme-andy)
- [Gatsby Theme Garden](https://github.com/mathieudutour/gatsby-digital-garden/) - A set of tools to build a digital garden with Gatsby.js. Pull data from Roam Research or markdown.
- [Simply Jekyll](https://simply-jekyll.netlify.app/posts/introduction-to-simply-jekyll) - A Jekyll theme with bidirectional links, sidenotes, and transclusion
- [Foam](https://foambubble.github.io/foam/) - Roam-like personal note management and publishing system built inside VSCode

#### Building a Private Garden

- [Roam](https://roamresearch.com/) - A personal notes system for interconnected thought
- [Org Roam](https://org-roam.readthedocs.io/en/develop/installation/)
- [Obsidian](https://obsidian.md/) - a Roam-like knowledge base that works on top of a local folder of plain text Markdown files.

#### Extra Gardening Tools

- [Webmentions](https://indieweb.org/Webmention) - About the Webmentions system
  - [Webmention.io](https://webmention.io/) - A service to add Webmentions to your Garden
- [Hypothesis](https://web.hypothes.is/) - A layer of social meta commentary

<br />

## How-To's and Tutorials

- [How to build a digital garden with TiddlyWiki](https://nesslabs.com/digital-garden-tiddlywiki) by Anne-Laure Le Cunff
- [Install org-roam: an introductory technical guide with Doom Emacs](https://www.ianjones.us/2020-05-05-doom-emacs/) by Ian Jones
- [Building a Digital Garden](https://tomcritchlow.com/2019/02/17/building-digital-garden/) by Tom Critchlow
- [Webmentions - Joining the IndieWeb with Svelte](https://www.swyx.io/writing/clientside-webmentions) by Shawn Wang

<br />

## Theory, Philosophy, and Navel-Gazing

- [Of Digital Streams, Campfires and Gardens](https://tomcritchlow.com/2018/10/10/of-gardens-and-wikis/) by Tom Critchlow
- [How the Blog Broke the Web](https://stackingthebricks.com/how-blogs-broke-the-web/) by Amy Hoy
- [My blog is a digital garden, not a blog](https://joelhooks.com/digital-garden) by Joel Hooks
- [You and your mind garden](https://nesslabs.com/mind-garden) by Anne-Laure Le Cunff
- [Digital Garden Terms of Service](https://www.swyx.io/writing/digital-garden-tos/) by Shawn Wang
- [What is a digital garden?](https://www.christopherbiscardi.com/garden) by Chris Biscardi
- [The Garden and the Stream: A Techno pastoral](https://hapgood.us/2015/10/17/the-garden-and-the-stream-a-technopastoral/) by Mike Caulfield
- [The Garden and the Stream: An IndieWeb Pop-up Session](https://indieweb.org/2020/Pop-ups/GardenAndStream)
- [The Swale: Weaving between Garden and Stream](https://bonkerfield.org/2020/05/swale-garden-stream/) by Will Stedden

<br />

## Common Groud: Zettlekasten, Knowledge Graphs, Wikis, and Related Concepts

- [The Knowledge Graph Radar](https://github.com/brettkromkamp/knowledge-graph-radar)
- [Zettlekasten: knowledge and info management](https://zettelkasten.de/)
- [The Zettelkasten Method](https://www.lesswrong.com/posts/NfdHG6oHBJ8Qxc26s/the-zettelkasten-method-1) by Abram Demski
- [A web of wikis](https://doubleloop.net/2020/05/16/a-web-of-wikis/) by Neil Mather
- [Bliki tooling](https://doubleloop.net/2020/05/02/bliki-tooling/) by Neil Mather
- [Hack Your Life With A Private Wiki Notebook, Getting Things Done, And Other Systems](http://webseitz.fluxent.com/wiki/HackYourLifeWithAPrivateWikiNotebookGettingThingsDoneAndOtherSystems) by Bill Seitz
- [As We May Think](https://www.theatlantic.com/magazine/archive/1945/07/as-we-may-think/303881/) by Vannevar Bush (The Atlantic, 1945)

<br />

## Digital Garden Directory

| Garderner & Link | 🛠 Build Tools  | 🌿Note Themes |
| -------------------- | ------------------ | ----------------- |
| [Andy Matuschuk](https://notes.andymatuschak.org/)  | The Mystery Andy System | Note-taking, education, tools for thought |
| [Anne-Laure Le Cunff](https://www.mentalnodes.com/)    | TiddlyWiki   | Networked thinking, metacognition, evidence-based learning and self-education   |
| [Tom Critchlow](https://tomcritchlow.com/)   | Jekyll              |  Indie consulting         |
| [Shawn Wang](https://www.swyx.io/writing) | Gatsby | Web development, writing, speaking
| [Kevin Cummingham](https://kevincunningham.co.uk) |  Gatsby | Web development, React, AWS, GraphQL
| [Maggie Appleton](http://maggieappleton.com/)   |  Gatsby + MDX   | Anthropology, metaphors, visual explanations, and web development 
| [Chris Biscardi](https://www.christopherbiscardi.com/garden)   |  Sector / Toast?   | Web development, MDX, GraphQL, Gatsby 
| [Wess Daniels](https://nurselog.online)   |  Tiddlywiki (Pre-Release 5.1.23)   | Culture and systems change, liberation theology, tech and pedagogy 
| [Aengus McMillin](https://aengusmcmillin.com/brain)  |  Gatsby |    |
| [Alzen Elza](https://notes.azlen.me/g3tibyfv/)  |  | Design, Conversational interfaces, Tools for thought
| [Joel Hooks](https://joelhooks.com/)  |  Next.js  | Bootstrapping / indie-hacking, community building, web development,
| [Ian Jones](https://ianjones.us/notes)  |  Gatsby  | Web development, Gatsby, Emacs 
| [Wayan Jimmy](https://notebook.wayanjimmy.xyz) |  Gatsby ([Hasura Gitbook Starter](https://github.com/hasura/gatsby-gitbook-starter)) | Coding, Learning notes 
 | [Markus](https://re1.dev/wiki/) |  Eleventy | Design, linux, privacy 
 | [Max Stoiber](https://notes.mxstbr.com/About_these_notes) |  The Mystery Andy System | React, web development
 | [Gwern](https://www.gwern.net/) |  | Quantified self, spaced repetition, bitcoin
 | [Chris Aldrich](https://tw.boffosocko.com) |  TiddlyWiki + TiddlyBlink + TiddlyMap | Art of Memory, IndieWeb, humanities, commonplace books, thought spaces 
 | [Neil Mather](https://commonplace.doubleloop.net) |  Org-mode | 
 | [Gordon Brander](http://gordonbrander.com/pattern/) |  [Lettersmith](https://github.com/gordonbrander/lettersmith_py) | Design patterns, storytelling, systems 
 | [Bill Seitz](http://webseitz.fluxent.com/wiki/) |  Flask/Python with [WikiFlux](http://webseitz.fluxent.com/wiki/WikiFlux) 
 | [Daniel Chapman](https://www.dschapman.com/notes) |  Gatsby | Books, Writing, Poetry 
 | [Will Stedden](https://bonkerfield.org/) |  Custom coding a [side project](https://bonkerfield.org/2020/05/swale-garden-stream/) | Machine learning, automated language generation, quantum physics art, online transparency
 | [Noah Trenaman](https://blog.noahtren.com/note/3acea2e1/) |    | Neural networks, tools for thought, networked writing
